bug-gnulib
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: some failing tests


From: Eric Blake
Subject: Re: some failing tests
Date: Mon, 22 Oct 2007 15:39:49 +0000 (UTC)
User-agent: Loom/3.14 (http://gmane.org/)

Bruno Haible <bruno <at> clisp.org> writes:

> Thanks for this testing! x86_64 platforms are important nowadays.

Agreed.

> > ./test-yesno: error closing file: Bad file descriptor
> > PASS: test-yesno.sh
> 
> Eric?

Fixed as follows:

From: Eric Blake <address@hidden>
Date: Mon, 22 Oct 2007 09:39:27 -0600
Subject: [PATCH] * tests/test-yesno.sh: Silence stderr during test.

Signed-off-by: Eric Blake <address@hidden>
---
 ChangeLog           |    4 ++++
 tests/test-yesno.sh |    5 +++--
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 4dfb941..aaf4964 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2007-10-22  Eric Blake  <address@hidden>
+
+       * tests/test-yesno.sh: Silence stderr during test.
+
 2007-10-22  Simon Josefsson  <address@hidden>
 
        * modules/crypto/gc-camellia: New file.
diff --git a/tests/test-yesno.sh b/tests/test-yesno.sh
index fdf9948..5de918c 100755
--- a/tests/test-yesno.sh
+++ b/tests/test-yesno.sh
@@ -4,7 +4,7 @@ tmpfiles=
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 p=t-yesno-
-tmpfiles="${p}in.tmp ${p}xout.tmp ${p}out.tmp"
+tmpfiles="${p}in.tmp ${p}xout.tmp ${p}out.tmp ${p}err.tmp"
 
 # For now, only test with C locale
 LC_ALL=C
@@ -49,8 +49,9 @@ EOF
 cmp ${p}xout.tmp ${p}out.tmp || exit 1
 
 # Test for behavior when stdin is closed
-./test-yesno${EXEEXT} 0 <&- > ${p}out.tmp && exit 1
+./test-yesno${EXEEXT} 0 <&- > ${p}out.tmp 2> ${p}err.tmp && exit 1
 cmp ${p}xout.tmp ${p}out.tmp || exit 1
+test -s ${p}err.tmp || exit 1
 
 # Cleanup
 rm -fr $tmpfiles
-- 
1.5.3.2







reply via email to

[Prev in Thread] Current Thread [Next in Thread]